#!/bin/bash
# $Id: 00_vbq_initialize.sh, v1.0.0.0 2006/09/24 22:00:00 mstauber Exp $
# Copyright 2006 NuOnce Networks, Inc. and Solarspeed Ltd., All rights reserved.

# This constructor only needs to run once on vserver setup. It allows us to bypass the
# Initial setup wizard, but we can still populate CCE with the required info.

if [ -e /tmp/wizardbypass ]; then

    HOSTANDDOMAIN=`cat /etc/sysconfig/network | /bin/grep HOSTNAME=|/bin/cut -d \= -f2 |/bin/cut -d \" -f2`
    HOST=`cat /etc/sysconfig/network | /bin/grep HOSTNAME=|/bin/cut -d \= -f2 |/bin/cut -d \" -f2|/bin/cut -d \. -f1`
    DOMAIN=`cat /etc/sysconfig/network | /bin/grep HOSTNAME=|/bin/cut -d \= -f2 |/bin/cut -d \" -f2 |/bin/sed s/$HOST.//g`
    DNS=`cat /etc/resolv.conf | /bin/grep nameserver | /bin/sed s/nameserver\ //g | /usr/bin/head -1`

    # Bypass Wizard and populate CCE with the info that we need:
    /bin/echo -n $HOST > /usr/sausalito/codb/objects/1/.hostname 
    /bin/echo -n $DOMAIN > /usr/sausalito/codb/objects/1/.domainname
    /bin/echo -n "&$DNS&" >   /usr/sausalito/codb/objects/1/.dns
    /bin/echo -n '1' > /usr/sausalito/codb/objects/1/.isLicenseAccepted
    /usr/bin/perl -pi -e "s#localdomain#$DOMAIN#" /etc/resolv.conf

    # Make sure that the script is run only once on initial OS initialization:
    /bin/rm -f /tmp/wizardbypass

fi
