#!/usr/bin/perl -I/usr/sausalito/perl
# $Id: 03_vbq-network-pooling.pl, v1.0.0.0 Mon 29 Jan 2007 08:00:39 AM EST mstauber Exp $
# Copyright 2006 NuOnce Networks, Inc. and Solarspeed Ltd., All rights reserved.

use CCE;
my $cce = new CCE;
my $conf = '/var/lib/cobalt';

$cce->connectuds();

# Does the config file exist?
$cfile = "/tmp/pool";
if (-e $cfile) {
    open(CFILE,"$cfile") || die("Could not find $cfile. $!");
    while ($line = <CFILE>) {
        chomp($line);
        next if $line =~ /^\s*$/; # skip blank lines
	&updatecce($line);
    }
    close(CFILE);
    system("rm -f $cfile");
}

sub updatecce {
    my @oids = $cce->find('IPPoolingRange', {'min' => $line });
    if ($#oids < 0) {
	$cce->create('IPPoolingRange', { 
	    	    	      'min' => $line,
                              'max' => $line,
                              'creation_time' => '1159124074'
                          });
	my ($sysoid) = $cce->find('System');
    }
    else {
	#Object already present in CCE. Updating it.
	# find the system object
	($sys_oid) = $cce->find('IPPoolingRange', {'min' => $line });
	($ok, $sys) = $cce->get($sys_oid);
	($ok) = $cce->set($sys_oid, '',{        # beware: CLASS vs. Namespace (see schema)! Our NameSpace is empty, hence: ''
			      'min' => $line,
    			      'max' => $line,
    			      'creation_time' => '1159124074'
			  });
    }
}
my @oids = $cce->find('IPPoolingRange', {'min' => '127.0.0.1' });
if ($#oids < 0) {
    $cce->create('IPPoolingRange', { 
			      'min' => '127.0.0.1',
                              'max' => '127.0.0.1',
                              'creation_time' => '1159124074'
                          });
    my ($sysoid) = $cce->find('System');
}

$cce->bye();
exit 0;

